import * as React from 'react';
import './index.css';
export default function UserList(_ref) {
  var users = _ref.users,
      size = _ref.size,
      userClick = _ref.userClick;
  var dataUdc = encodeURIComponent(JSON.stringify({
    ext: {
      type: "reward",
      desc: "entry",
      from: "c-reward-radar-pname"
    }
  }));
  return React.createElement("span", {
    className: 'user-list-wrap'
  }, users.map(function (user, k) {
    return React.createElement("span", {
      className: 'guessed-user',
      key: "user-list".concat(k),
      style: {
        zIndex: k
      },
      onClick: function onClick() {
        userClick(user);
      },
      "data-udc": dataUdc
    }, user.Name);
  }));
}